Subject: bug#9932: Acknowledgement (24.0.90; electric pair mode is getting enabled globally , not just for a buffer.)

From: yagnesh raghava <[email-masked]>
Date: Sat, 12 Nov 2011 04:12:29 +0900

Hello Stefan,
Thanks for the reply

Stefan Monnier <[email-masked]> writes:

>> Electric pair mode enables globally. I would rather prefer it to be
>> buffer local.
>
>> I think it would be good to have an electric-pair-mode for a single
>> buffer and an electric-pair-global-mode/global-electric-pair-mode for
>> enabling the feature globally.
>
> How 'bout a way to turn it off buffer-locally, so you can have it
> enabled globally but can also disable it in some modes?
> E.g. the patch below would be enough for that, after which you could do
>
> (add-hook 'text-mode-hook
>           (lambda () (set (make-local-variable 'electric-pair-mode) nil)))
>
> to turn if off in all modes derived from text-mode.

This is fine for now.

>
> We could easily provide this in 24.1, whereas what you suggest would
> have to wait for 24.2.

Thanks for the consideration, I would definitely wait to see this in 24.2

--
YYR